# Examples of Format Specifiers
# by Sara Sprenkle, 09.17.2007
#

# just a big floating point number
pct = 14543/2341.0

# default printing
print "The pct is", pct

# no format operator, so prints out literally
print "The pct is %.2f", pct


# shows correct use of format specifier
print "The pct is %.2f" % pct

# use with the %e format specifier
print "The pct is %.2e" % pct


print "*****************************"

print "Regularly prints out: ", .5

# precision bigger than decimal places
print "With bigger prec: %.5f" % .5

# precision bigger than decimal places
print "With bigger prec: %010.5f" % .5

print "*****************************"

# smaller fieldwidth than the number

number = 1000

print "The number is %2d" % number

number += .1234

print "The number is %2f" % number

print "The number is %5.2f" % number

print "With exponent format %%e %.7e:" % number

print "*****************************"

# string practice

string = "text"

# right-justify
print "%6s" % string

# left-justify
print "%-6s example" % string
