# Opens a file, reads the file one line at a time,
# searching for data from the user.
# Ignores lines that begin with "#" as comments.
# by Sara Sprenkle, 10.17.2007

# Make a constant so easy to change if what signifies a commented line
# changes.
COMMENT = "#"

inputfile = "data/years2.dat"

searchFor = raw_input("What are you looking for? ")

# opens the file in "read" mode
dataFile = file(inputfile, "r")

numOccurences = 0

# reads in the file and prints the content of the file
for line in dataFile:

    # removes the trailing and beginning whitespace
    line = line.strip()

    # skip the commented lines
    if not line.startswith(COMMENT):
        # look for the line
        if searchFor in line:
            print "I found", searchFor, "in line \""+ line + "\""
            numOccurences+=1

# close the file with the method "close"
dataFile.close()

print searchFor, "was found", numOccurences, "times"
