# Demonstrate implementations of the linear and binary search
# techniques.
# Sara Sprenkle, 11.28.2007

def main():
    
    integers = range(1,20,2)
    print integers
    
    print "*",1,"*"
    print "Linear: Found?", linearSearch(integers,1)
    print "Binary: Found at pos", binarySearch(integers,1)

    print "*",4,"*"
    print "Linear: Found?", linearSearch(integers,4)
    print "Binary: Found at pos", binarySearch(integers,4)
    
    print "*",15,"*"
    print "Linear: Found?", linearSearch(integers, 15)
    print "Binary: Found at pos", binarySearch(integers, 15)

    print "*",16,"*"
    print "Linear: Found?", linearSearch(integers, 16)
    print "Binary: Found at pos", binarySearch(integers, 16)
    
    print "*",17,"*"
    print "Linear: Found?", linearSearch(integers, 17)
    print "Binary: Found at pos", binarySearch(integers, 17)


def linearSearch(searchlist, key):
    for elem in searchlist:
        if elem == key:
            return True
    return False

def binarySearch(searchlist, key):
    low = 0
    high = len(searchlist)-1
    while low <= high:
        mid = (low+high)/2
        if searchlist[mid] == key:
            return mid
        if searchlist[mid] < key: # search lower half
            low = mid+1
        else: # search upper half
            high = mid-1
    return -1

main()
