# Convert binary numbers to decimal numbers
# by Sara Sprenkle, 10.03.2007
# Modified to use functions: main and binaryToDecimal

def main():
    print 
    print "This program converts binary numbers to decimal numbers."
    print
    
    binary_string = raw_input("Enter a number in binary: ")
    
    while not isBinary(binary_string):
        print "Sorry, that is not a binary string"
        binary_string = raw_input("Enter a number in binary: ")

    print "The decimal value is", binaryToDecimal(binary_string)


# Return True iff string str is a binary string
def isBinary(str):
    isBinary = True
    for ch in str:
        if ch != "0" and ch != "1":
            isBinary = False
            
    # Wait until looked through each character in string
    # to return answer
    return isBinary

# Return True iff string str is a binary string
def isBinary_ReturnEarly(str):
    if not str.isdigit():
        return False
    
    for ch in str:
        if ch != "0" and ch != "1":
            # As soon as one character isn't a 0 or 1,
            # return False, so that don't do wasted work
            return False
    return True

# pre: binary_string is a string that contains only 0s and 1s
# post: returns the decimal value for the binary string
def binaryToInt( binary_string ):

    # Alternatively, could do isBinary check here too,
    # but, what would you return in that case??
    
    exponent = len(binary_string)-1
    
    dec_value = 0
    
    for bit in binary_string:
        bit = int(bit)
        # Note: the printing was only for debugging;
        # Now that it's in a function, shouldn't do that.
        # print bit,"* 2^%d" % exponent
        dec_value += bit * (2 ** exponent)
        
        exponent -= 1
    return dec_value
    

main()
