# 
# by Sara Sprenkle, 10.17.2007

# Constants representing the different years
FRESHMAN = "FR"
SOPHOMORE = "SO"
JUNIOR = "JR"
SENIOR = "SR"

def main() :

    infilename = raw_input("What class file do you want to search? ")
    outfilename = raw_input("What is the name of your summary output file? ")

    outFile = file(outfilename, "w")

    outFile.write("# Summary of number of each year in the class\n")

    fr_count = search_file(infilename, FRESHMAN)
    so_count = search_file(infilename, SOPHOMORE)
    jr_count = search_file(infilename, JUNIOR)
    sr_count = search_file(infilename, SENIOR)

    outFile.write("%s %d\n" % (FRESHMAN, fr_count) )
    outFile.write("%s %d\n" % (SOPHOMORE, so_count) )
    outFile.write("%s %d\n" % (JUNIOR, jr_count) )
    outFile.write("%s %d\n" % (SENIOR, sr_count) )    

    outFile.close()


def search_file(filename, searchFor):
    
    # opens the file in "read" mode
    dataFile = file(filename, "r")
    
    numOccurences = 0
    
    # reads in the file and prints the content of the file
    for line in dataFile:
        
        # removes the trailing and beginning whitespace
        line = line.strip()
        
        # skip the commented lines
        if not line.startswith(COMMENT) :
            # look for the line
            if searchFor in line:
                # print "I found", searchFor, "in line \""+ line + "\""
                numOccurences+=1

    # close the file with the method "close"
    dataFile.close()

    return numOccurences

main()
