# Read in majors from a file and put into a dictionary.
# by Sara Sprenkle, 10.24.2007

MAJORSFILE="data/majors.dat"

majorsData = file(MAJORSFILE, "r")

# create an empty dictionary that will map last names to majors

nameToMajor={}

for line in majorsData:
    line = line.strip()

    # FIRST " " SPLITS NAME AND MAJORS
    
    spacePos = line.find(" ")
    if spacePos== -1:
        print "Error: no name/major pair in line:", line
    else:     
        name = line[:spacePos]
        # print "name=", name
        major = line[spacePos+1:]
        # print "major=", major

    # map the last name to the major
    nameToMajor[name]=major

majorsData.close()

# Note what order these are printed in ...
# Is it the same as what was in the original data file?

for name in nameToMajor:
    print name, "is a", nameToMajor[name], "major"

print "\nIn sorted order: "

# not actually sorted at this point
sortedKeys = nameToMajor.keys()
sortedKeys.sort()

for name in sortedKeys:
    print name, "is a", nameToMajor[name], "major"
