# Read in majors from a file and put into a dictionary.
# by Sara Sprenkle, 10.24.2007

MAJORSFILE="data/majors.dat"

majorsData = file(MAJORSFILE, "r")

# create an empty dictionary that will map last names to majors

majorToCount={}

for line in majorsData:
    line = line.strip()

    # FIRST " " SPLITS NAME AND MAJORS
    
    spacePos = line.find(" ")
    if spacePos== -1:
        print "Error: no name/major pair in line:", line
    else:     
        name = line[:spacePos]
        # print "name=", name
        major = line[spacePos+1:]
        # print "major=", major

        if majorToCount.get(major) != None:
            majorToCount[major]+=1
        else:
            majorToCount[major]=1
        

majorsData.close()


for major in majorToCount:
    count = majorToCount[major]
    if count > 1:
        print "There are", count, major, "majors."
    else:
        print "There is 1", major, "major."

