# Name removed to protect the innocent
# Modified by CS111 to use Counter class
#

from counter import *

MIN_KEY=-25
MAX_KEY=25

def main():
    text=raw_input("Enter some text: ")
    key=input("Enter an integer key (between "+ str(MIN_KEY) +" and " + str(MAX_KEY) +"): ")
    if key < MIN_KEY or key > MAX_KEY:
        print "Key must be within range", MIN_KEY,"and", MAX_KEY
    else: 
        text = text.lower()
        message= encoder(text,key)
        print message

#encoder takes in some lowercase text and integer key and returns encoded
#message, ignoring spaces in message
def encoder(text,key):
    message=""
    for ch in text:
        if ch == " ":
            message+=" "
        else:
            message += translateLetter(ch,key)
    return message

#translateletter takes in a lowercase letter and integer key and returns the
#encoded letter
def translateLetter(letter,key):
    # create a counter object with a range from 'a' to 'z'
    cipher = Counter(ord('a'), ord('z'))
    cipher.setValue(ord(letter))
    if key > 0:
        cipher.increment(key)
    else:
        cipher.decrement(key)
    encode=chr(cipher.getValue())
    return encode
            
#call main function
main()
